<%@ page pageEncoding="UTF-8" %>
<catalogo:pagina title="${programa.nome}">
	<catalogo:error/>

	<h1>${programa.nome}</h1>
	<p>${programa.descricao}</p>
	
	<hr/>
	
	<h2>Avaliação média: <span id="mediaDeAvaliacoes">${programa.mediaDeAvaliacoes}</span></h2>
	<c:if test="${empty visitante}">
		Faça <a href="login.formulario.action">login</a> para poder avaliar esse programa.
	</c:if>
	<c:if test="${not empty visitante}">
		Avaliar: 
		<select id="avaliacao">
			<option></option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</c:if>

	<h2>Próximas exibições</h2>
	<c:if test="${empty proximasExibicoes}">
		Não há próximas exibições previstas.
	</c:if>
	<c:if test="${not empty proximasExibicoes}">
		<table>
			<thead>
				<tr>
					<td>INÍCIO</td>
					<td>FIM</td>
					<td>CLASSIFICAÇÃO</td>
					<td>EMISSORA</td>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${proximasExibicoes}" var="exibicao">
					<tr>
						<td><fmt:formatDate value="${exibicao.inicio}" pattern="dd/MM/yyyy HH:mm"/></td>
						<td><fmt:formatDate value="${exibicao.fim}" pattern="dd/MM/yyyy HH:mm"/></td>
						<td>${exibicao.classificacao}</td>
						<td>${exibicao.emissora.nome}</td>
					</tr>
				</c:forEach>
			</tbody>
		</table>
	</c:if>

	<h2>Comentários</h2>
	<c:if test="${empty programa.comentarios}">
		Não há comentários ainda. Seja o primeiro!
	</c:if>
	<c:if test="${not empty programa.comentarios}">
		<ul>
			<c:forEach items="${programa.comentarios}" var="comentario">
				<li>${comentario.descricao} - <i>por ${comentario.visitante.nome}</i></li>			
			</c:forEach>
		</ul>
	</c:if>
		
	<h2>Postar comentário</h2>
	<c:if test="${empty visitante}">
		Faça <a href="login.formulario.action">login</a> para poder postar um comentário.
	</c:if>
	<c:if test="${not empty visitante}">
		<form action="interacao.comenta.action">
			<input type="hidden" name="comentario.programa.id" value="${programa.id}"/>
			<textarea rows="4" cols="10" name="comentario.descricao"></textarea>
			<input type="submit" value="Enviar">
		</form>
	</c:if>
	
	<br/>
	
	<a href="home.index.action">Voltar à página inicial</a>
</catalogo:pagina>