<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>

<catalogo:pagina title="Lista de Emissoras">
<f:view>
	<h1>Cadastro de emissoras</h1>
	
	<h:form id="lista">
	<h:dataTable value="#{emissoraHandler.emissoras}" var="emissora">
		<h:column>
			<f:facet name="header">
				<h:outputText value="ID"/>
			</f:facet>
			<h:outputText value="#{emissora.id}"/>
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="Nome"/>
			</f:facet>
			<h:outputText value="#{emissora.nome}"/>
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="Descrição"/>
			</f:facet>
			<h:outputText value="#{emissora.descricao}"/>
		</h:column>
		<h:column>
			<h:commandLink value="editar" actionListener="#{emissoraHandler.editar}">
				<f:param id="emissoraEdicao" value="#{emissora}"/>
			</h:commandLink>
		</h:column>
		<h:column>
			<h:commandLink value="remover" actionListener="#{emissoraHandler.remover}">
				<f:param id="emissoraRemocao" value="#{emissora}"/>
			</h:commandLink>
		</h:column>
	</h:dataTable>
	</h:form>
	
	<h1>
		<h:outputText value="Nova Emissora" rendered="#{not emissoraHandler.edicao}"/>
		<h:outputText value="Editar Emissora" rendered="#{emissoraHandler.edicao}"/>
	</h1>
	
	<h:form id="cadastro">
		<h:inputHidden value="#{emissoraHandler.edicao}"/>
		<h:inputHidden value="#{emissoraHandler.emissora.id}"/>
	
		<h:outputLabel for="nome" value="Nome"/>
		<h:inputText value="#{emissoraHandler.emissora.nome}" id="nome"/><br/>
		
		<h:outputLabel for="descricao" value="Descrição"/>
		<h:inputText value="#{emissoraHandler.emissora.descricao}" id="descricao"/><br/>

		<h:commandButton actionListener="#{emissoraHandler.salvar}" value="Salvar"/><br/>
		<h:commandButton actionListener="#{emissoraHandler.cancelarEdicao}" value="Cancelar edição" style="#{emissoraHandler.edicao? '':'display: none'}"/><br/>
	</h:form>
</f:view>
</catalogo:pagina>